Subject: bug#28772: closed (Re: bug#28772: guix system reconfigure after kernel panic user or group not created)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jun 2025 11:50:08 +0000

Your bug report

#28772: guix system reconfigure after kernel panic user or group not created

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28772: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28772
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28772: guix system reconfigure after kernel panic user or group not created
From: Simon Tournier <[email-masked]>
To: Oleg Pykhalov <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Mon, 16 Jun 2025 12:00:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, 26 Nov 2021 at 02:19, zimoun <[email-masked]> wrote:

> The last message for bug 28772 [1] is 22 Oct 2017 and it is marked
> ’moreinfo’ since 2017.  I propose to close or provide more details.
>
> 1: <http://issues.guix.gnu.org/issue/28772>

Years later, closing.

Feel free to reopen if I’m missing something.

Cheers,
simon

Subject: guix system reconfigure after kernel panic user or group not created
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Date: Tue, 10 Oct 2017 08:51:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

During 'guix system reconfigure' I got a kernel panic.

Getting it quite often while 'guix system reconfigure' at Linux magnolia
4.13.4-gnu #1 SMP 1 x86_64 GNU/Linux.  But it's not a subject of current
report.

After reboot I tried another attempt to make a 'guix system
reconfigure', but because of /etc/group.lock and /etc/passwd.lock
operating-system groups and users fields didn't applied.

I tried to get a creation of adbusers group and add my user to it, but
because of those files I cannot do it, until manually removed them.

So, do we need to check if *.lock files are exist and remove them at the
start of 'guix system reconfigure' OR abort reconfigure and creation of
Grub boot entry OR something else?

Thanks,
Oleg.